// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  ssr: false,
  imports: {
   dirs: ['stores']
  },
  modules: [
      '@nuxtjs/tailwindcss',
      'nuxt-icon',
      '@vueuse/nuxt',
      '@nuxtjs/robots',
      [ '@pinia/nuxt', { autoImports: [ 'defineStore' ]} ],
  ],
  build: {
      transpile: ['vue-toastification'],
  },
  app: {
    head: {
      title: 'WRB App',
      charset: 'utf-8',
      viewport: 'width=device-width initial-scale=1 viewport-fit=cover',
      meta: [
        { name: 'theme-color', content: '#eb6330' },
        {  name: 'description', content: 'De officiele app voor de Waddinxveense Reddingsbrigade'}
      ],
      link: [
        { rel: 'manifest', href: '/manifest.json' },
        { rel: 'icon', href: '/favicon.ico', type: 'image/x-icon' }
      ],
      script: [
        { src: 'https://umami.xeovalyte.dev/script.js', async: true, 'data-website-id': '59577dd0-b790-488c-af69-7f8d2cce0537' },
      ],

    }
  },
  runtimeConfig: {
    privateKeyId: '',
    privateKey: '',
    clientId: ''
  }
})
